org.apache.solr.client.solrj.io.eq

## Interface StreamEqualitor

All Superinterfaces:
  Equalitor<Tuple>, Expressible, Serializable

All Known Implementing Classes:
  FieldEqualitor, MultipleFieldEqualitor

    public interface StreamEqualitor
    extends Equalitor<Tuple>, Expressible, Serializable

Defines a comparator we can use with TupleStreams

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isDerivedFrom(StreamComparator base)`
`boolean` `isDerivedFrom(StreamEqualitor base)`

### Methods inherited from interface org.apache.solr.client.solrj.io.eq.Equalitor

`test`

### Methods inherited from interface org.apache.solr.client.solrj.io.stream.expr.Expressible

`toExpression`

### Method Detail

#### isDerivedFrom

    boolean isDerivedFrom(StreamEqualitor base)

#### isDerivedFrom

    boolean isDerivedFrom(StreamComparator base)